# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = PGPTest.exe
OBJFILES = PGPTest.obj QSpgp8\PGPWins.obj QSpgp8\Global.obj \
   QSpgp8\MsgBoxDlgs.obj QSpgp8\PgpSdk.obj QSpgp8\PasswordDlgs.obj
RESFILES = PGPTest.res
RESDEPEN = $(RESFILES) QSpgp8\PGPWins.dfm QSpgp8\MsgBoxDlgs.dfm \
   QSpgp8\PasswordDlgs.dfm
LIBFILES = 
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I.\qspgp8;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32 \
   -DPGP_WIN32 -H=$(BCB)\lib\vcld.csm 
PFLAGS = -U.\qspgp8;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\3rdparty\ics\delphi\vc32 \
   -I.\qspgp8;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32 \
   -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -DPGP_WIN32 -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -i.\qspgp8;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32 \
   -DPGP_WIN32 
LFLAGS = -L.\qspgp8;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\3rdparty\ics\delphi\vc32 \
   -aa -Tpe -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

