# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QSPGP.dll
OBJFILES = QSPGP.obj QSpgp\PgpSdk6.obj QSpgp\PgpRecipDlgs.obj \
   QSpgp\PgpPassEx.obj QSpgp\PgpCache.obj QSpgp\PgpPath.obj QSpgp\QSpgpVer.obj \
   QSpgp\PgpMsg.obj QSpgp\pgpdb.obj QSpgp\HelpDlgs.obj QSpgp\WipeDlgs.obj \
   QSpgp\View.obj QSpgp\Mixmaster.obj QSpgp\TBuffer.obj QSpgp\PGPbuffers.obj \
   QSpgp\FileMan.obj QSpgp\HeadMan.obj QSpgp\fmxutils.obj QSpgp\Global.obj \
   QSpgp\pgpfiles.obj QSpgp\pgp.obj QSpgp\pgpkeyexpdlgs.obj \
   QSpgp\pgpkeyimpdlgs.obj QSpgp\PgpDlgs.obj QSpgp\PgpSdk.obj \
   QSpgp\PgpSdk8Calls.obj QSpgp\PgpSdk8.obj
RESFILES = QSpgp\QSpgp.res
RESDEPEN = $(RESFILES) QSpgp\PgpRecipDlgs.dfm QSpgp\PgpPassEx.dfm \
   QSpgp\HelpDlgs.dfm QSpgp\WipeDlgs.dfm QSpgp\View.dfm QSpgp\pgpkeyexpdlgs.dfm \
   QSpgp\pgpkeyimpdlgs.dfm QSpgp\PgpDlgs.dfm
LIBFILES = QSpgp\Zlib.lib
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -WD -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -DPGP_WIN32 \
   -I.\qspgp\sdk\1.7.8\headers;.\qspgp;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -DPGP_WIN32 \
   -U.\qspgp;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn;$(BCB)\lib\obj;$(BCB)\lib \
   -I.\qspgp\sdk\1.7.8\headers;.\qspgp;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn;$(BCB)\include;$(BCB)\include\vcl \
   -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -DPGP_WIN32 \
   -i.\qspgp\sdk\1.7.8\headers;.\qspgp;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn;$(BCB)\include;$(BCB)\include\vcl \
   PGP_WIN32
LFLAGS = -L.\qspgp;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn;$(BCB)\lib\obj;$(BCB)\lib \
   -aa -Tpd -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0d32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
